Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.struts
Class PortletServletContextImpl

    java.lang.Object
      org.apache.portals.bridges.struts.PortletServletContextImpl

All Implemented Interfaces:
  javax.servlet.ServletContext

public class PortletServletContextImpl
extends Object
implements javax.servlet.ServletContext

PortletServletContextImpl

Version:
  $Id: PortletServletContextImpl.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Ate Douma

Field Summary
`private javax.servlet.ServletContext` | `context`

Constructor Summary
`PortletServletContextImpl(javax.servlet.ServletContext context)`

Method Summary
`Object` | `getAttribute(String arg0)`
`Enumeration` | `getAttributeNames()`
`javax.servlet.ServletContext` | `getContext(String arg0)`
`String` | `getInitParameter(String arg0)`
`Enumeration` | `getInitParameterNames()`
`int` | `getMajorVersion()`
`String` | `getMimeType(String arg0)`
`int` | `getMinorVersion()`
`javax.servlet.RequestDispatcher` | `getNamedDispatcher(String arg0)`
`String` | `getRealPath(String arg0)`
`javax.servlet.RequestDispatcher` | `getRequestDispatcher(String arg0)`
`URL` | `getResource(String arg0)`
`InputStream` | `getResourceAsStream(String arg0)`
`Set` | `getResourcePaths(String arg0)`
`String` | `getServerInfo()`
`javax.servlet.Servlet` | `getServlet(String arg0)` Deprecated. Deprecated. As of Java Servlet API 2.1, with no direct replacement.
`String` | `getServletContextName()`
`Enumeration` | `getServletNames()` Deprecated. As of Java Servlet API 2.0, with no replacement.
`Enumeration` | `getServlets()` Deprecated. As of Java Servlet API 2.0, with no replacement.
`void` | `log(Exception arg0, String arg1)` Deprecated. As of Java Servlet API 2.1, use log(String message, Throwable throwable) instead.
`void` | `log(String arg0)`
`void` | `log(String arg0, Throwable arg1)`
`void` | `removeAttribute(String arg0)`
`void` | `setAttribute(String arg0, Object arg1)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### context

    private javax.servlet.ServletContext context

Constructor Detail

### PortletServletContextImpl

    public PortletServletContextImpl(javax.servlet.ServletContext context)

Method Detail

### getAttribute

    public Object getAttribute(String arg0)

  Specified by:
    `getAttribute` in interface `javax.servlet.ServletContext`

### getAttributeNames

    public Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `javax.servlet.ServletContext`

### getContext

    public javax.servlet.ServletContext getContext(String arg0)

  Specified by:
    `getContext` in interface `javax.servlet.ServletContext`

### getInitParameter

    public String getInitParameter(String arg0)

  Specified by:
    `getInitParameter` in interface `javax.servlet.ServletContext`

### getInitParameterNames

    public Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.ServletContext`

### getMajorVersion

    public int getMajorVersion()

  Specified by:
    `getMajorVersion` in interface `javax.servlet.ServletContext`

### getMimeType

    public String getMimeType(String arg0)

  Specified by:
    `getMimeType` in interface `javax.servlet.ServletContext`

### getMinorVersion

    public int getMinorVersion()

  Specified by:
    `getMinorVersion` in interface `javax.servlet.ServletContext`

### getNamedDispatcher

    public javax.servlet.RequestDispatcher getNamedDispatcher(String arg0)

  Specified by:
    `getNamedDispatcher` in interface `javax.servlet.ServletContext`

### getRealPath

    public String getRealPath(String arg0)

  Specified by:
    `getRealPath` in interface `javax.servlet.ServletContext`

### getRequestDispatcher

    public javax.servlet.RequestDispatcher getRequestDispatcher(String arg0)

  Specified by:
    `getRequestDispatcher` in interface `javax.servlet.ServletContext`

### getResource

    public URL getResource(String arg0)
                    throws MalformedURLException

  Specified by:
    `getResource` in interface `javax.servlet.ServletContext`
  Throws:
    `MalformedURLException`

### getResourceAsStream

    public InputStream getResourceAsStream(String arg0)

  Specified by:
    `getResourceAsStream` in interface `javax.servlet.ServletContext`

### getResourcePaths

    public Set getResourcePaths(String arg0)

  Specified by:
    `getResourcePaths` in interface `javax.servlet.ServletContext`

### getServerInfo

    public String getServerInfo()

  Specified by:
    `getServerInfo` in interface `javax.servlet.ServletContext`

### getServlet

    public javax.servlet.Servlet getServlet(String arg0)
                                     throws javax.servlet.ServletException

  Deprecated. Deprecated. As of Java Servlet API 2.1, with no direct replacement.

  Specified by:
    `getServlet` in interface `javax.servlet.ServletContext`
  Throws:
    `javax.servlet.ServletException`

### getServletContextName

    public String getServletContextName()

  Specified by:
    `getServletContextName` in interface `javax.servlet.ServletContext`

### getServletNames

    public Enumeration getServletNames()

  Deprecated. As of Java Servlet API 2.0, with no replacement.

  Specified by:
    `getServletNames` in interface `javax.servlet.ServletContext`

### getServlets

    public Enumeration getServlets()

  Deprecated. As of Java Servlet API 2.0, with no replacement.

  Specified by:
    `getServlets` in interface `javax.servlet.ServletContext`

### log

    public void log(Exception arg0,
                    String arg1)

  Deprecated. As of Java Servlet API 2.1, use log(String message, Throwable throwable) instead.

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### log

    public void log(String arg0)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### log

    public void log(String arg0,
                    Throwable arg1)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### removeAttribute

    public void removeAttribute(String arg0)

  Specified by:
    `removeAttribute` in interface `javax.servlet.ServletContext`

### setAttribute

    public void setAttribute(String arg0,
                             Object arg1)

  Specified by:
    `setAttribute` in interface `javax.servlet.ServletContext`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.